.detail__nav {
    z-index: 1000;
    margin: 20px;
}

.detail__nav-wrap {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 20px;
}

.detail_nav-all-product {
    cursor: pointer;
    text-decoration: none;
    color: black;
}

.detail-nav-icon {
    display: flex;
    align-items: center;
    justify-content: center;
}

a.detail_nav-home {
    text-decoration: none !important;
    color: black;
}

.detail__container {
    margin: 50px 0px;
}

.detail-name h1 {
    margin-top: 0;
}

.detail-main-picture {
    display: flex;
    justify-content: center;
    margin-bottom: 50px;
}

.detail-row-pictureList {
    display: flex;
    justify-content: space-evenly;
}

.detail-pictureList {
    justify-content: space-between;
    flex-wrap: nowrap;
    gap: 10px;
}

.detail-main-picture img {
    width: 200px;
    height: 250px;
}

.detail-picture-item {
    border: 1px solid gainsboro;
    padding: 10px;
}

.detail-picture-item img {
    width: 100%;
}

.detail-rated {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}

.detail-brand {
    margin-bottom: 20px;
}

.detail-guarantee,
.detail-price,
.detail-adjust-quantity {
    margin-bottom: 25px;
}

.detail-guarantee-text {
    margin-left: 10px;
}

.detail-rated-star {
    display: flex;
    justify-content: space-evenly;
    padding-top: 2px;
    margin-left: 8px;
}

.detail-brand-info {
    margin-left: 3px;
}

.detail-rated-text p {
    margin: 0;
}

.detail-rated-star img {
    width: 25px;
    height: 25px;
}

.detail-price b {
    font-size: 1.5rem;
    color: #b32b37;

}

.detail-plus,
.detail-minus {
    width: 25px;
    height: 25px;
    border-radius: 50%;
    color: white;
    background-color: gray;
    border: none;
}

.detail-quantity {
    margin: 0 7px;
    padding: 0 10px;
}

.detail-button button {
    background-color: black;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
}

.detail-button_btn {
    cursor: pointer;
}

.detail-button_btn:hover {
    background-color: #fe9614;
}

.detail-button_btn:active {
    background-color: #ccc;
}

.disabledButton {
    background-color: #ccc !important;
}

.productList-container {
    padding: 50px 100px 50px 100px;
}

.detail-title {
    display: block;
    text-align: start;
    font-size: 1rem;
}

.full-size-image {
    width: 50%;
    height: 50%;
}

.half-height {
    height: 250px;
    overflow: hidden;
}

.full-height {
    height: unset;
}

.detail-description-image {
    width: 100%;
    display: flex;
    justify-content: center;
    margin: 30px 0px;
}

.recss-detail-btn {
    display: flex;
    justify-content: center;
    margin-top: 10px;
}

/* REVIEW */
.detail-review-container {
    padding: 25px;

}

.detail-review_wrap {
    box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
}

.detail-review-filter_wrap {
    border: 1px solid #fe9614;
    padding: 20px;
    background-color: #fffbf8;
    margin: 20px 20px 0px 20px;
}

.detail-review-header {
    padding: 20px 20px 0px 20px;
}

.detail-review-header h2 {
    margin: 0;
}

.detail-review-filter_totalRate {
    font-size: 2rem;
    color: #fe9614;
}

.detail-review-filter_maxRate,
.detail-review-filter_star {
    color: #fe9614;
}

.detail-review-item {
    border-bottom: 1px solid #ccc;
    margin: 20px;
    padding: 20px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.detail-review-item_createDate {
    font-size: 0.8rem;
}

.detail-review-item_img {
    display: flex;
    gap: 10px
}

.detail-review-item_img img {
    width: 70px;
    height: 70px;
}

.pagination {
    padding: 0px 20px 20px 20px;
}

.detail-review_filter-btn {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
}

.detail-review_filter-btn button {
    padding: 10px 20px;
    border: 1px solid #ccc;
    background-color: white;
    border-radius: 3px;
}

.btnAll-active {
    border: 1px solid #fe9614 !important;
    color: #fe9614;
}

.btnFive-active {
    border: 1px solid #fe9614 !important;
    color: #fe9614;
}

.btnFour-active {
    border: 1px solid #fe9614 !important;
    color: #fe9614;
}

.btnThree-active {
    border: 1px solid #fe9614 !important;
    color: #fe9614;
}

.btnTwo-active {
    border: 1px solid #fe9614 !important;
    color: #fe9614;
}

.btnOne-active {
    border: 1px solid #fe9614 !important;
    color: #fe9614;
}

.btnComment-active {
    border: 1px solid #fe9614 !important;
    color: #fe9614;
}

.pagination_active a {
    color: #fe9614 !important;
}

.pagination {
    margin-top: 20px;
}


/* Mobile & Tablet */
@media (max-width:1023px) {}

/* Tablet */
@media (min-width:740px) and (max-width:1023px) {

    div.detail__nav {
        margin-top: 50px;
        margin-left: -40px;
    }

    .detail_nav-home,
    .detail_av-all-product,
    .detail_nav-all-productName {
        font-size: 1rem;
    }

    .detail-title {
        font-size: 2rem !important;
    }

    .half-height {
        height: 400px;
        overflow: hidden;
    }

    .detail-description-title h1 {
        font-size: 2rem !important;
    }

    .detail-brand,
    .detail-rated-text {
        font-size: 1.5rem;
    }

    .detail-guarantee,
    .detail-description {
        font-size: 1.1rem;
    }

    .detail-quantity {
        font-size: 1.5rem;
        padding: 0 10px;
    }

    .detail-minus,
    .detail-plus {
        width: 35px;
        height: 35px;
    }

    .detail-button button {
        font-size: 1.3rem;
        border-radius: 5px;
    }



}


/* Mobile */
@media (max-width:739px) {

    .detail__container {
        margin: 20px;
    }

    div.detail__nav,
    .detail-description-container {
        padding: 0 25px
    }

    div.detail__nav {
        margin-top: 50px;
    }

    .l-1.detail-nav-icon {
        font-size: 1.2rem;
    }

    .detail_nav-home,
    .detail_nav-all-product {
        display: flex;
        justify-content: center;
    }

    .detail_nav-home,
    .detail_nav-all-product,
    .detail_nav-all-productName {
        font-size: 0.8rem;
    }

    .detail-main-picture img {
        width: 120px;
        height: 120px;
    }

    #detail-rated-star-wrap {
        font-size: 0.8rem;
    }

    .detail-main-picture {
        margin-bottom: 0;
    }

    .detail-picture-item {
        border: 1px solid gainsboro;
        padding: 5px;
    }

    .detail-row-pictureList {
        justify-content: flex-start;
    }

    .detail-name h1 {
        font-size: 1.2rem;
    }

    .detail-title {
        font-size: 1.5rem !important;
    }

    .detail-description-title h1 {
        font-size: 1.5rem !important;
    }

    .detail-rated-star img {
        width: 20px;
        height: 20px;
    }

    .detail-brand,
    .detail-rated-text {
        font-size: 0.8rem;
        margin-bottom: 0;
    }

    .detail-guarantee,
    .detail-description {
        font-size: 0.8rem;
    }

    .detail-guarantee,
    .detail-price,
    .detail-adjust-quantity {
        margin-bottom: 7px;
    }

    .detail-rated {
        margin-bottom: 0;
    }

    .detail-quantity {
        font-size: 1rem;
        padding: 0 5px;
    }

    .detail-minus,
    .detail-plus {
        width: 25px;
        height: 25px;
    }

    .detail-button button {
        font-size: 0.8rem;
        padding: 8px 10px;
        border-radius: 5px;
    }

    .half-height {
        height: 229px;
        overflow: hidden;
    }

    .detail__nav-wrap {
        gap: 5px;
    }

    .detail__nav {
        margin: 0px;
    }

}